/*
 * Class TRAVERSABLE [G#1]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_259 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_259 [] = {0xFF01,237,258,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_2_259 [] = {0xFF01,258,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_3_259 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_259 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_259 [] = {0xFF01,258,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_6_259 [] = {0xFF01,258,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_7_259 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_259 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_259 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_259 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_259 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_259 [] = {258,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_13_259 [] = {0xFF01,258,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_14_259 [] = {0xFF01,253,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_259 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_259 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_259[] = {
	{EIF_GENERIC(NULL), 2188, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_259), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_259), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_259), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_259), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_259), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_259), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_259), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_259), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_259), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_259), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_259), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_259), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_259), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_259), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1845, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1846, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1847, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1848, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1849, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_259), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_259), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_259), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2189, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2185, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2186, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2187, 0xFFFFFFFF},
};
void Init259(void)
{
	IDSC(desc_259, 0, 258);
	IDSC(desc_259 + 1, 1, 258);
	IDSC(desc_259 + 32, 77, 258);
	IDSC(desc_259 + 41, 30, 258);
}


#ifdef __cplusplus
}
#endif
